import Vue from 'vue'
import router from './router'
import store from './store'
import App from './app.vue'
import './style.scss'
import ElementUI from 'element-ui'
import BeforeEnter from './utils/beforeEnter'
import echart from 'echarts'
const before = new BeforeEnter()

Vue.use(ElementUI)

/* 设置全局变量 */
window.G = Vue.prototype.$GLOBAL = {
  VERSION: 'PC-1.0.0'
}

/* 导航守卫 */
router.beforeEach((to, from, next) => {
  before.update(to, from, next)
})

Vue.prototype.msgCenter = new Vue()
Vue.prototype.$echarts = echart

window.G.$instance_vue = new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
